apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: hgzero
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /
    nginx.ingress.kubernetes.io/ssl-redirect: "false"
spec:
  ingressClassName: nginx
  rules:
    - host: hgzero-api.20.214.196.128.nip.io
      http:
        paths:
          - path: /api/users
            pathType: Prefix
            backend:
              service:
                name: user
                port:
                  number: 8080
          - path: /api/meetings
            pathType: Prefix
            backend:
              service:
                name: meeting
                port:
                  number: 8080
          - path: /api/stt
            pathType: Prefix
            backend:
              service:
                name: stt
                port:
                  number: 8080
          - path: /api/ai
            pathType: Prefix
            backend:
              service:
                name: ai
                port:
                  number: 8080
          - path: /api/notifications
            pathType: Prefix
            backend:
              service:
                name: notification
                port:
                  number: 8080
